declare const _default: import("vue").DefineComponent<{
    readonly fileList: import("../../../utils").BuildPropReturn<import("../../../utils").PropWrapper<import("./upload").UploadUserFile[]>, () => [], unknown, unknown, unknown>;
    readonly beforeUpload: import("../../../utils").BuildPropReturn<import("../../../utils").PropWrapper<(rawFile: import("./upload").UploadRawFile) => import("../../../utils").Awaitable<boolean | void | File | Blob | null | undefined>>, () => void, unknown, unknown, unknown>;
    readonly action: import("../../../utils").BuildPropReturn<StringConstructor, "#", unknown, unknown, unknown>;
    readonly headers: import("../../../utils").BuildPropReturn<import("../../../utils").PropWrapper<Record<string, any> | Headers>, unknown, unknown, unknown, unknown>;
    readonly method: import("../../../utils").BuildPropReturn<StringConstructor, "post", unknown, unknown, unknown>;
    readonly data: import("../../../utils").BuildPropReturn<ObjectConstructor, () => import("../../../utils").Mutable<{}>, unknown, unknown, unknown>;
    readonly multiple: import("../../../utils").BuildPropReturn<BooleanConstructor, false, unknown, unknown, unknown>;
    readonly name: import("../../../utils").BuildPropReturn<StringConstructor, "file", unknown, unknown, unknown>;
    readonly drag: import("../../../utils").BuildPropReturn<BooleanConstructor, false, unknown, unknown, unknown>;
    readonly withCredentials: BooleanConstructor;
    readonly showFileList: import("../../../utils").BuildPropReturn<BooleanConstructor, true, unknown, unknown, unknown>;
    readonly accept: import("../../../utils").BuildPropReturn<StringConstructor, "", unknown, unknown, unknown>;
    readonly type: import("../../../utils").BuildPropReturn<StringConstructor, "select", unknown, unknown, unknown>;
    readonly autoUpload: import("../../../utils").BuildPropReturn<BooleanConstructor, true, unknown, unknown, unknown>;
    readonly listType: import("../../../utils").BuildPropReturn<StringConstructor, "text", unknown, "text" | "picture" | "picture-card", unknown>;
    readonly httpRequest: import("../../../utils").BuildPropReturn<import("../../../utils").PropWrapper<import("./upload").UploadRequestHandler>, import("./upload").UploadRequestHandler, unknown, unknown, unknown>;
    readonly disabled: BooleanConstructor;
    readonly limit: NumberConstructor;
}, {
    props: Readonly<import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
        readonly fileList: import("../../../utils").BuildPropReturn<import("../../../utils").PropWrapper<import("./upload").UploadUserFile[]>, () => [], unknown, unknown, unknown>;
        readonly beforeUpload: import("../../../utils").BuildPropReturn<import("../../../utils").PropWrapper<(rawFile: import("./upload").UploadRawFile) => import("../../../utils").Awaitable<boolean | void | File | Blob | null | undefined>>, () => void, unknown, unknown, unknown>;
        readonly action: import("../../../utils").BuildPropReturn<StringConstructor, "#", unknown, unknown, unknown>;
        readonly headers: import("../../../utils").BuildPropReturn<import("../../../utils").PropWrapper<Record<string, any> | Headers>, unknown, unknown, unknown, unknown>;
        readonly method: import("../../../utils").BuildPropReturn<StringConstructor, "post", unknown, unknown, unknown>;
        readonly data: import("../../../utils").BuildPropReturn<ObjectConstructor, () => import("../../../utils").Mutable<{}>, unknown, unknown, unknown>;
        readonly multiple: import("../../../utils").BuildPropReturn<BooleanConstructor, false, unknown, unknown, unknown>;
        readonly name: import("../../../utils").BuildPropReturn<StringConstructor, "file", unknown, unknown, unknown>;
        readonly drag: import("../../../utils").BuildPropReturn<BooleanConstructor, false, unknown, unknown, unknown>;
        readonly withCredentials: BooleanConstructor;
        readonly showFileList: import("../../../utils").BuildPropReturn<BooleanConstructor, true, unknown, unknown, unknown>;
        readonly accept: import("../../../utils").BuildPropReturn<StringConstructor, "", unknown, unknown, unknown>;
        readonly type: import("../../../utils").BuildPropReturn<StringConstructor, "select", unknown, unknown, unknown>;
        readonly autoUpload: import("../../../utils").BuildPropReturn<BooleanConstructor, true, unknown, unknown, unknown>;
        readonly listType: import("../../../utils").BuildPropReturn<StringConstructor, "text", unknown, "text" | "picture" | "picture-card", unknown>;
        readonly httpRequest: import("../../../utils").BuildPropReturn<import("../../../utils").PropWrapper<import("./upload").UploadRequestHandler>, import("./upload").UploadRequestHandler, unknown, unknown, unknown>;
        readonly disabled: BooleanConstructor;
        readonly limit: NumberConstructor;
    }>> & {
        [x: string & `on${string}`]: ((...args: any[]) => any) | ((...args: unknown[]) => any) | undefined;
    }>>;
    ns: {
        namespace: import("vue").ComputedRef<string>;
        b: (blockSuffix?: string) => string;
        e: (element?: string | undefined) => string;
        m: (modifier?: string | undefined) => string;
        be: (blockSuffix?: string | undefined, element?: string | undefined) => string;
        em: (element?: string | undefined, modifier?: string | undefined) => string;
        bm: (blockSuffix?: string | undefined, modifier?: string | undefined) => string;
        bem: (blockSuffix?: string | undefined, element?: string | undefined, modifier?: string | undefined) => string;
        is: {
            (name: string, state: boolean | undefined): string;
            (name: string): string;
        };
    };
    requests: import("vue").ShallowRef<Record<string, XMLHttpRequest | Promise<unknown>>>;
    inputRef: import("vue").ShallowRef<HTMLInputElement | undefined>;
    UploadDragger: import("vue").DefineComponent<{
        readonly disabled: import("../../../utils").BuildPropReturn<BooleanConstructor, false, unknown, unknown, unknown>;
    }, {
        COMPONENT_NAME: string;
        props: Readonly<import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
            readonly disabled: import("../../../utils").BuildPropReturn<BooleanConstructor, false, unknown, unknown, unknown>;
        }>> & {
            [x: string & `on${string}`]: ((...args: any[]) => any) | ((...args: unknown[]) => any) | undefined;
        }>>;
        uploaderContext: import("../../..").UploadContext;
        ns: {
            namespace: import("vue").ComputedRef<string>;
            b: (blockSuffix?: string) => string;
            e: (element?: string | undefined) => string;
            m: (modifier?: string | undefined) => string;
            be: (blockSuffix?: string | undefined, element?: string | undefined) => string;
            em: (element?: string | undefined, modifier?: string | undefined) => string;
            bm: (blockSuffix?: string | undefined, modifier?: string | undefined) => string;
            bem: (blockSuffix?: string | undefined, element?: string | undefined, modifier?: string | undefined) => string;
            is: {
                (name: string, state: boolean | undefined): string;
                (name: string): string;
            };
        };
        dragover: import("vue").Ref<boolean>;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        readonly disabled: import("../../../utils").BuildPropReturn<BooleanConstructor, false, unknown, unknown, unknown>;
    }>>, {
        disabled: import("../../../utils").BuildPropType<BooleanConstructor, unknown, unknown>;
    }>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    readonly fileList: import("../../../utils").BuildPropReturn<import("../../../utils").PropWrapper<import("./upload").UploadUserFile[]>, () => [], unknown, unknown, unknown>;
    readonly beforeUpload: import("../../../utils").BuildPropReturn<import("../../../utils").PropWrapper<(rawFile: import("./upload").UploadRawFile) => import("../../../utils").Awaitable<boolean | void | File | Blob | null | undefined>>, () => void, unknown, unknown, unknown>;
    readonly action: import("../../../utils").BuildPropReturn<StringConstructor, "#", unknown, unknown, unknown>;
    readonly headers: import("../../../utils").BuildPropReturn<import("../../../utils").PropWrapper<Record<string, any> | Headers>, unknown, unknown, unknown, unknown>;
    readonly method: import("../../../utils").BuildPropReturn<StringConstructor, "post", unknown, unknown, unknown>;
    readonly data: import("../../../utils").BuildPropReturn<ObjectConstructor, () => import("../../../utils").Mutable<{}>, unknown, unknown, unknown>;
    readonly multiple: import("../../../utils").BuildPropReturn<BooleanConstructor, false, unknown, unknown, unknown>;
    readonly name: import("../../../utils").BuildPropReturn<StringConstructor, "file", unknown, unknown, unknown>;
    readonly drag: import("../../../utils").BuildPropReturn<BooleanConstructor, false, unknown, unknown, unknown>;
    readonly withCredentials: BooleanConstructor;
    readonly showFileList: import("../../../utils").BuildPropReturn<BooleanConstructor, true, unknown, unknown, unknown>;
    readonly accept: import("../../../utils").BuildPropReturn<StringConstructor, "", unknown, unknown, unknown>;
    readonly type: import("../../../utils").BuildPropReturn<StringConstructor, "select", unknown, unknown, unknown>;
    readonly autoUpload: import("../../../utils").BuildPropReturn<BooleanConstructor, true, unknown, unknown, unknown>;
    readonly listType: import("../../../utils").BuildPropReturn<StringConstructor, "text", unknown, "text" | "picture" | "picture-card", unknown>;
    readonly httpRequest: import("../../../utils").BuildPropReturn<import("../../../utils").PropWrapper<import("./upload").UploadRequestHandler>, import("./upload").UploadRequestHandler, unknown, unknown, unknown>;
    readonly disabled: BooleanConstructor;
    readonly limit: NumberConstructor;
}>>, {
    type: string;
    disabled: boolean;
    name: string;
    data: Record<string, any>;
    drag: import("../../../utils").BuildPropType<BooleanConstructor, unknown, unknown>;
    multiple: import("../../../utils").BuildPropType<BooleanConstructor, unknown, unknown>;
    action: string;
    headers: import("../../../utils").BuildPropType<import("../../../utils").PropWrapper<Record<string, any> | Headers>, unknown, unknown>;
    method: string;
    showFileList: import("../../../utils").BuildPropType<BooleanConstructor, unknown, unknown>;
    accept: string;
    fileList: import("./upload").UploadUserFile[];
    autoUpload: import("../../../utils").BuildPropType<BooleanConstructor, unknown, unknown>;
    listType: import("../../../utils").BuildPropType<StringConstructor, "text" | "picture" | "picture-card", unknown>;
    httpRequest: import("./upload").UploadRequestHandler;
    withCredentials: boolean;
    beforeUpload: (rawFile: import("./upload").UploadRawFile) => import("../../../utils").Awaitable<boolean | void | File | Blob | null | undefined>;
}>;
export default _default;
